corda / net.corda.core.contracts / Scheduled

# Scheduled

`interface Scheduled`

Something which is scheduled to happen at a point in time

### Properties

scheduledAt | `abstract val scheduledAt: Instant`

### Inheritors

ScheduledActivity | `data class ScheduledActivity : Scheduled` This class represents the lifecycle activity that a contract state of type LinearState would like to perform at a given point in time. e.g. run a fixing flow.
ScheduledStateRef | `data class ScheduledStateRef : Scheduled` Represents a contract state (unconsumed output) of type LinearState and a point in time that a lifecycle event is expected to take place for that contract state.